Paper Trading

Place a paper trading order

POST
/apps/{appId}/paper-trading/accounts/{accountId}/orders

Authorization

appApiKey
headerx-app-api-key<token>

App-scoped API key. It is the only credential on partner-admin reads, paper-trading admin, and webhook rotate or replay. POST /bot-protection/verify requires it together with x-app-id.

Path Parameters

appId*string
accountId*string

Request Body

application/json
  1. body
venueMarketOutcomeId*string
side*string
Value in"buy""sell"
spendRaw?string
Match^[0-9]+$
spend?number
Range0 <= value
shares?number
Range0 <= value
slippageBps?number
Range0 <= value <= 10000
clientOrderId?string
Length1 <= length <= 160

Response Body

201

application/json
  1. response
id*string
accountId*string
venue*string
venueMarketId*string
venueMarketOutcomeId*string
marketQuestion*string
outcomeLabel*string
side*string
Value in"buy""sell"
status*string
Value in"filled""rejected"
clientOrderId*string
requestedSpendRaw*string
requestedSpend*number
requestedShares*number
filledShares*number
avgPrice*number
slippageBps*number
notionalRaw*string
notional*number
cashDeltaRaw*string
cashDelta*number
realizedPnlRaw*string
realizedPnl*number
rejectionReason*string
createdAt*string
Example Request
curl -X POST 'https://api.t.sufwankhalid.com/apps/string/paper-trading/accounts/string/orders' \  -H 'Content-Type: application/json' \  -d '{  "venueMarketOutcomeId": "string",  "side": "buy"}'
Example Response
{  "id": "string",  "accountId": "string",  "venue": "string",  "venueMarketId": "string",  "venueMarketOutcomeId": "string",  "marketQuestion": "string",  "outcomeLabel": "string",  "side": "buy",  "status": "filled",  "clientOrderId": "string",  "requestedSpendRaw": "string",  "requestedSpend": 0,  "requestedShares": 0,  "filledShares": 0,  "avgPrice": 0,  "slippageBps": 0,  "notionalRaw": "string",  "notional": 0,  "cashDeltaRaw": "string",  "cashDelta": 0,  "realizedPnlRaw": "string",  "realizedPnl": 0,  "rejectionReason": "string",  "createdAt": "string"}